
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>PostgreSQL 10.0 preview 功能增强 - 角色化权限管理 / iVAN</title>

    <meta name="description" content="PostgreSQL 10.0 preview 功能增强 - 角色化权限管理 标签 PostgreSQL , 10.0 , 内置角色 , 监控角色 , 管理用户会话角色 , pg_backend_pid , pg_monitor 背景 PostgreSQL 10.0 开始植入了一些内置的角色,例如pg_backend_pid角色可用于cancel, terminate任何PID,除此之外没有其他超级用户的权限,这种用户可以给DBA或者给一些业务OWNER使用,便于它们在紧急情况下行使权力,杀掉一些会话. 同时为了便于DBA或者业务OWNER查看到数据库的健康状况,Post">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">PostgreSQL 10.0 preview 功能增强 - 角色化权限管理</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>标签</h3>
<p>PostgreSQL , 10.0 , 内置角色 , 监控角色 , 管理用户会话角色 , pg_backend_pid , pg_monitor</p>
<hr>
<h2>背景</h2>
<p>PostgreSQL 10.0 开始植入了一些内置的角色，例如pg_backend_pid角色可用于cancel, terminate任何PID，除此之外没有其他超级用户的权限，这种用户可以给DBA或者给一些业务OWNER使用，便于它们在紧急情况下行使权力，杀掉一些会话。</p>
<p>同时为了便于DBA或者业务OWNER查看到数据库的健康状况，PostgreSQL也增加了一个监控角色pg_monitor，拥有监控角色的权限后，可以查看一些统计信息。</p>
<p>同时添加了一个角色pg_read_all_gucs，这个角色可以查看所有的GUC配置。</p>
<pre><code>Per the discussion at
https://www.postgresql.org/message-id/CA%2BOCxoyYxO%2BJmzv2Micj4uAaQdAi6nq0w25BPQgLLxsrvTmREw%40mail.gmail.com,
attached is a patch that implements the following:  

- Adds a default role called pg_monitor
- Gives members of the pg_monitor role full access to:
    pg_ls_logdir() and pg_ls_waldir()
    pg_stat_* views and functions
    pg_tablespace_size() and pg_database_size()
    Contrib modules:
        pg_buffercache,
        pg_freespacemap,
        pgrowlocks,
        pg_stat_statements,
        pgstattuple and
        pg_visibility (but NOT pg_truncate_visibility_map() )
- Adds a default role called pg_read_all_gucs
- Allows members of pg_read_all_gucs to, well, read all GUCs
- Grants pg_read_all_gucs to pg_monitor  

Note that updates to contrib modules followed the strategy recently
used in changes to pgstattuple following discussion here, in which the
installation SQL script is left at the prior version, and an update
script is added and default version number bumped to match that of the
upgrade script.  

Patch includes doc updates, and is dependent on my pg_ls_logdir() and
pg_ls_waldir() patch
(https://www.postgresql.org/message-id/CA+OCxow-X=D2fWdKy+HP+vQ1LtrgbsYQ=CshzZBqyFT5jOYrFw@mail.gmail.com).  

--
Dave Page
Blog: http://pgsnake.blogspot.com
Twitter: @pgsnake  

EnterpriseDB UK: http://www.enterprisedb.com
The Enterprise PostgreSQL Company
</code></pre>
<p>未来PostgreSQL还会对植入更多的内置角色，让数据库的权限分组管理更加便捷。逐步形成像Oracle这样内部有许多角色可选的状况。</p>
<p>这个patch的讨论，详见邮件组，本文末尾URL。</p>
<p>PostgreSQL社区的作风非常严谨，一个patch可能在邮件组中讨论几个月甚至几年，根据大家的意见反复的修正，patch合并到master已经非常成熟，所以PostgreSQL的稳定性也是远近闻名的。</p>
<h2>参考</h2>
<p><a href="https://www.postgresql.org/message-id/attachment/49958/pg_monitor.diff" rel="external nofollow noreferrer">https://www.postgresql.org/message-id/attachment/49958/pg_monitor.diff</a></p>
<p><a href="https://www.postgresql.org/message-id/flat/CA+OCxoyRdsc1xyLfF9s698gUGyPXBs4CvJ+0Gwo8U65NmYJ7pw@mail.gmail.com#CA+OCxoyRdsc1xyLfF9s698gUGyPXBs4CvJ+0Gwo8U65NmYJ7pw@mail.gmail.com" rel="external nofollow noreferrer">https://www.postgresql.org/message-id/flat/CA+OCxoyRdsc1xyLfF9s698gUGyPXBs4CvJ+0Gwo8U65NmYJ7pw@mail.gmail.com#CA+OCxoyRdsc1xyLfF9s698gUGyPXBs4CvJ+0Gwo8U65NmYJ7pw@mail.gmail.com</a></p>
<p><a href="https://commitfest.postgresql.org/13/1031/" rel="external nofollow noreferrer">https://commitfest.postgresql.org/13/1031/</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 08:38:01</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ad%98%e5%82%a8%e4%b8%8e%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据存储与数据库">数据存储与数据库</a>, <a href="https://www.iamivan.net/tag/postgresql/" title="PostgreSQL">PostgreSQL</a>, <a href="https://www.iamivan.net/tag/https/" title="HTTPS">HTTPS</a>, <a href="https://www.iamivan.net/tag/%e7%9b%91%e6%8e%a7/" title="监控">监控</a>, <a href="https://www.iamivan.net/tag/%e6%9d%83%e9%99%90%e7%ae%a1%e7%90%86/" title="权限管理">权限管理</a>, <a href="https://www.iamivan.net/tag/gmail/" title="gmail">gmail</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>PostgreSQL 10.0 preview 功能增强 - 角色化权限管理的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5o3Pmb.html" rel="bookmark">PostgreSQL 10&period;0 preview 功能增强 - 增加access method CHECK接口amcheck</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				标签 PostgreSQL , 10.0 , amcheck , 逻辑一致性检测 , 物理存储检测 背景 一些高端存储.包括ZFS文件系统,在使用了RAID后,有块检测和异常块的修复功能. 对于数据库来说,数据的可靠性是非常重要的指标,例如: 1. 写进入是什么,读出来就应该是什么. 2. 当操作系统的collate发生变化时,索引的顺序可能与实际的collate顺序不匹配.造成不稳定现象. 3. 数据块partial write,可能导致数据损坏. 4. 内存页异常,使用到某些异常页时,可能带			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnKyXKz.html" rel="bookmark">PostgreSQL 10&period;0 preview 功能增强 - 后台运行&lpar;pg&lowbar;background&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				标签 PostgreSQL , 10.0 , 后台运行 , pg_background_launch , pg_background_result , pg_background_detach , pg_background 背景 当用户在管理数据库时,如果要在交互式界面跑一些QUERY,但是不知道QUERY要运行多久,担心网络问题或者其他问题导致终端断开,QUERY执行情况不明的话.就需要后台运行这个功能了. 后台运行在LINUX中也很常见,比如 nohup ls -la / &gt;/tmp/re			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVQrmDp.html" rel="bookmark">PostgreSQL 10&period;0 preview 功能增强 - 逻辑订阅端 控制参数解说</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				标签 PostgreSQL , 10.0 , 逻辑订阅 背景 PostgreSQL 逻辑订阅相关文章请参考 &lt;PostgreSQL 10.0 preview 变化 - 逻辑复制pg_hba.conf变化,不再使用replication条目&gt; &lt;PostgreSQL 10.0 preview 功能增强 - 备库支持逻辑订阅,订阅支持主备漂移了&gt; &lt;PostgreSQL 10.0 preview 功能增强 - 逻辑复制支持并行COPY初始化数据&gt; &lt;PostgreSQ			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd694mb.html" rel="bookmark">PostgreSQL 10&period;0 preview 功能增强 - OLAP增强 向量聚集索引&lpar;列存储扩展&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				标签 PostgreSQL , 10.0 , Vertical Clustered Index (columnar store extension) , 列存储 , 向量聚集索引 背景 未来数据库OLTP+OLAP逐渐模糊化,需求逐渐融合是一个大的趋势,如果你的数据库只支持OLTP的场景,未来可能会成为业务的绊脚石. 在这方面PostgreSQL每年发布的新版本,都给用户很大的惊喜,OLTP已经具备非常强大的竞争力(性能.功能.稳定性.成熟度.案例.跨行业应用等),而OLAP方面,新增的feat			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvngy5M.html" rel="bookmark">PostgreSQL 10&period;0 preview 功能增强 - BRIN 索引更新smooth化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				标签 PostgreSQL , 10.0 , BRIN , de-summarization , summarization , 平滑更新BRIN , 平滑失效BRIN 背景 我们将数据存入PostgreSQL时,如果创建的是堆表,那么数据是往数据文件的末尾不断追加存储的. 为了提高数据的检索速度,可以对响应的字段创建索引,在PostgreSQL中,已有8种索引类型,分别是B-Tree,hash, gin, gist, sp-gist, brin, bloom, rum.分别对应不同的应用场景.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEKELop.html" rel="bookmark">PostgreSQL 10&period;0 preview 功能增强 - libpq支持多主机连接&lpar;failover&comma;LB&rpar;让数据库HA和应用配合更紧密</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				标签 PostgreSQL , 10.0 , libpq , jdbc , failover , loadbalance , multi host , target_session_attrs 背景 数据库一主多备,这个词在互联网应该不陌生.但是主备切换和应用程序如何配合才能天衣无缝呢?你可能会有这样的疑问. 1. 什么类型的QUERY发给主库,什么类型的QUERY发给备库? 2. 主库和备库发生了角色切换之后,客户端连接如何配合? 业界有一些做法可以回答这两个问题. 1. 通常使用集群软件,使			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgwN6mM.html" rel="bookmark">PostgreSQL 10&period;0 preview 功能增强 - 国际化功能增强&comma;支持ICU&lpar;International Components for Unicode&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				标签 PostgreSQL , 10.0 , International Components for Unicode , ICU , collate , 国际化 背景 ICU是一个成熟的,被广泛使用的跨平台一致性全球化支持库.使用没有任何限制的开源许可,可以被商业.开源软件随意使用. ICU is a mature, widely used set of C/C++ and Java libraries providing Unicode and Globalization support f			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj8486p.html" rel="bookmark">PostgreSQL 10&period;0 preview 功能增强 - 逻辑复制支持并行COPY初始化数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				标签 PostgreSQL , 10.0 , 逻辑复制 , 初始数据COPY 背景 PostgreSQL 已支持逻辑复制,同时对逻辑复制增加了一个初始同步的增强功能,支持通过wal receiver协议跑COPY命令(已封装在逻辑复制的内核代码中),支持多表并行. 也就是说,你可以使用PostgreSQL的逻辑复制,快速的(流式.并行)将一个实例迁移到另一个实例. Logical replication support for initial data copy Add functionalit			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxWGP7b.html" rel="bookmark">PostgreSQL 10&period;0 preview 功能增强 - 备库支持&amp;quot&semi;时间、字节&amp;quot&semi;六维延迟</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				标签 PostgreSQL , 10.0 , 时间度量备库延迟 , pg_stat_replication 背景 pg_stat_replication视图中有4个字段记录了从备库反馈的WAL位点.如下: postgres=# \d pg_stat_replication View &quot;pg_catalog.pg_stat_replication&quot; Column | Type | Modifiers ------------------+-------------------------			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5566p.html" rel="bookmark" class="title">充分利用 &period;NET 框架的 PropertyGrid 控件</a>
					<div>
						控件 充分利用 .NET 框架的 PropertyGrid 控件Mark RideoutMicrosoft Corporation 摘要:本文旨在帮助您了解 Microsoft .NET 框架中的 P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7jkwb.html" rel="bookmark" class="title">VC10中的C&plus;&plus;0x特性 Part 1：Lambdas，auto，以及 static&lowbar;assert</a>
					<div>
						简介 这一系列文章介绍Microsoft Visual Studio 2010 中支持的C++ 0x特性,目前有三部分. Part 1 :介绍了Lambdas, 赋予新意义的auto,以及 stati ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPwAoz.html" rel="bookmark" class="title">Delphi源程序格式书写规范&lpar;三&rpar;</a>
					<div>
						3.8.2.5 Internet Tab csk TClientSocketssk TServerSocketwbd TWebDispatcherpp TPageProducertp TQueryTa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOjr0M.html" rel="bookmark" class="title">用Ruby＋Builder创建XML应用</a>
					<div>
						一. 简介 自从去年Ruby on Rails问世后,人们对Ruby编程语言的兴趣似乎稳定地增长起来.Rails已经帮助人 们看到了什么是Ruby:一种非常体面的,易学的且使用中充满了乐趣的语言,甚至 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze45N8p.html" rel="bookmark" class="title">综合布线布线的准备和施工中的事项</a>
					<div>
						网络综合布线工程实施设计对布线的全过程起着决定性的作用,工程实施的设计机构应慎之又慎. 布线前的准备 通常网络工程经过调研,确定方案后,下一步就是工程的实施,而工程实施的第一步就是开工前的准备工作:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72LBrp.html" rel="bookmark" class="title">如何将家里电脑设计开机密码去掉</a>
					<div>
						  1.重新启动计算机,在启动画面出现后马上按下F8键,选择&quot;带命令行的安全模式&quot;. 2.运行过程结束时,系统列出了系统超级用户&quot;administrator&quot;和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24jOQp.html" rel="bookmark" class="title">关于&period;NET&sol;C&num;&sol;WCF&sol;WPF 打造IP网络智能视频监控系统的介绍&lowbar;实用技巧</a>
					<div>
						OptimalVision网络视频监控系统 OptimalVision(OV)网络视频监控系统(Video Surveillance System),是一套基于.NET.C#.WCF.WPF等技术构建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlaamb.html" rel="bookmark" class="title">RTF文件格式</a>
					<div>
						  RTF文件格式研究报告(代开版辞) 摘要:本文对RTF文件格式进行分析研究,对RTF文件结构及特性进行了阐述,并分别列举了几个实用性的例子进行详细分析,最终通过VB程序代码实现了一个RTF书写器( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrW5xWp.html" rel="bookmark" class="title">镜像-请问如何用easyboot制作WIN7系统装机盘</a>
					<div>
						问题描述 请问如何用easyboot制作WIN7系统装机盘 1C 我在网上查了许多材料发现版本太多了不知道用哪一个也不知道适不适用于WIN7系统盘的制作.我目前所准备的工具如下:1.EASYBOOT  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamy2Pb.html" rel="bookmark" class="title">服务器发布IIS之后，&period;Net 程序读取不到Excel内容</a>
					<div>
						问题描述 服务器发布IIS之后,.Net程序读取不到Excel内容具体问题:本地系统Windows732位,Oracle32位Office201032位,发布IIS之后可以正常操作.可是发布到客户服务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlNr5b.html" rel="bookmark" class="title">c&plus;&plus;-这个大数相加程序用了哪些算法在逻辑结构上定义了哪些算法并求流程图</a>
					<div>
						问题描述 这个大数相加程序用了哪些算法在逻辑结构上定义了哪些算法并求流程图 #include #include #include #define max(a,b) (a)&gt;(b)?(a):(b) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAAxwp.html" rel="bookmark" class="title">跳转-IE环境下background-size失效以及location&period;href问题</a>
					<div>
						问题描述 IE环境下background-size失效以及location.href问题 我现在做了一个项目,遇见两个问题,我知道原因却没有办法解决,求大神们支招.1.使用了background-si ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKP3Eb.html" rel="bookmark" class="title">request-jsp如何获取当前访问URL？</a>
					<div>
						问题描述 jsp如何获取当前访问URL? 问题描述:例如:当前路径:127.0.0.1:8080/test/content/content.action 返回到content页面 问题:如何在cont ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnK3gAz.html" rel="bookmark" class="title">走过&OpenCurlyDoubleQuote;融合、突破&rdquo;元年 亚信安全2017合作伙伴峰会召开</a>
					<div>
						今天,以&quot;取势合众•驭未来&quot;为主题的亚信安全2017合作伙伴峰会在成都隆重召开.近千家新老合作伙伴与亚信安全共聚一堂,全面评估未来全球网络威胁进化趋势,分析国家网络安全战略带来的时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeZPvb.html" rel="bookmark" class="title">web service-java调用c&num;写的webservice</a>
					<div>
						问题描述 java调用c#写的webservice 我需要一个接口.对方使用c#写的. 给了一个bin文件,里面全是DLL. 一个web.config文件 一个ws.asmx文件. 一个word指明一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYGWPp.html" rel="bookmark" class="title">互联网与大数据</a>
					<div>
						大数据,既是&quot;因为小所以大&quot;,也是&quot;因为大所以小&quot;.因为小所以大,是大数据的&quot;有&quot;.因为互联网上有很细节.很海量的数据,在互联网的社会环境下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwQR5M.html" rel="bookmark" class="title">getview方法不执行- android listview自定义adapter&comma;getview方法不显示</a>
					<div>
						问题描述 android listview自定义adapter,getview方法不显示 adapter的getCount值不为0,但是不执行getview方法,在ErrorLog中打印出来的log在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQDODp.html" rel="bookmark" class="title">System Repair Engineer &lpar;SREng&rpar; 功能介绍与下载&lowbar;常用工具</a>
					<div>
						System Repair Engineer (SREng) 是一款计算机安全辅助和系统维护辅助软件.主要用于发现.发掘潜在的系统故障和大多数由于计算机病毒造成的破坏,并提供一系列的修改建议和自动修复 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjwqWM.html" rel="bookmark" class="title">爬虫-heritrix中WriteMirror有很多网页没有写入</a>
					<div>
						问题描述 heritrix中WriteMirror有很多网页没有写入 我用heritrix进行抓取的时候,也没报错,但是发现已经download了300多M的东西,在本地Jobs的mirror文件夹里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLZqVM.html" rel="bookmark" class="title">Java程序员需要注意的五大Docker误区</a>
					<div>
						Docker是很有意思的技术,有一些真实有效的使用场景.作为一个新兴技术,还需要大量时间来解决缺失的功能和已知的bug.但是,现在这个领域的确有很多的炒作.不过记住哦,炒作可不是成功~ 网+线下沙龙  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Qw4mp.html" rel="bookmark" class="title">从iCloud看信息安全 云计算安全策略解析</a>
					<div>
						苹果推出的iCloud服务让用户们兴奋异常,他们迫不及待地将个人数据迁移至苹果公司的数据中心,以便更轻松地访问和分享.瞧,这个服务很酷,也很方便.不过,当你把自己的资料交给iCloud的时候,是否应该 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmQ9Vp.html" rel="bookmark" class="title">关于Integrate Windows Authentication SSO的问题</a>
					<div>
						问题描述 公司内部一个网站,现在SSO需要改成IntegrateWindowsAuthentication认证.没搞过IWA,有点疑惑,主要需求有两个:1.认证之后,需要把员工号设置到session里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgE0BBz.html" rel="bookmark" class="title">VBS 十六进制异或加密实现代码&lowbar;vbs</a>
					<div>
						效果图: 代码都封装成函数了,方便调用: 复制代码 代码如下: Key = &quot;www-enun-net&quot; '不要用数字 Wscript.echo now &amp; &quot;, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlQJAp.html" rel="bookmark" class="title">windows-微信平台与腾讯云服务器url连接问题</a>
					<div>
						问题描述 微信平台与腾讯云服务器url连接问题 用的是腾讯云服务器,在centos系统下可以将php代码文件FTP到根目录可以连接,但因为用这种系统用的不惯,换了个windows的系统,同样将php代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvGDWM.html" rel="bookmark" class="title">请问微信银行的业务安全策略包括哪些手段</a>
					<div>
						问题描述 如题,请问微信银行的业务安全策略包括哪些手段?有哪位大神做过这方面的理解					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvXrmM.html" rel="bookmark" class="title">无线网络传输速度对比分析报告</a>
					<div>
						在选购一款无线路由器的时候,哪个参数是你最为关注的?相信绝大多数用户的答案都是无线传输速率. 没错,这个常常出现在产品外包装显著位置的数字,早已成为无线路由器的最重要的参数. 但你可了解,这个数字仅仅 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/Mr2Lm4M.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vbW1iaXoucXBpYy5jbi9tbWJpei93YzdZTlBtM1l4WDRxS1ZKSnljcDNoSU9MR2RPQnNVRWc1QXNINTQ5NHdCaWFMWU1pY3NHTHFqbkt3N3dHMzRwbWFLMUlxQVBxUTI4bW1kdEd1Snk1WU93LzA=.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/Mr2Lm4M.html" rel="bookmark" class="title">1500万个数据，打造个性胸罩！</a>
					<div>
						这是一家用互联网思维打造一款胸罩的公司True&amp;Co.;,它是用大数据的方法挖用户痛点. 我们个微创新学员是国内做女性内衣的大佬,看到True&amp;Co.;的做法,感觉很惊讶.用大数据的方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWGB5p.html" rel="bookmark" class="title">《Effective Debugging：软件和系统调试的66个有效方法》&mdash;&mdash;第7条：试着用多种工具构建软件，并将其放在不同的环境下执行</a>
					<div>
						第7条:试着用多种工具构建软件,并将其放在不同的环境下执行 有时我们可以通过改变环境来锁定一些难以捕获的bug.例如,我们可以用另外一款编译器来构建这个软件,也可以切换到其他的运行时解释器.虚拟机.中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx2BNQz.html" rel="bookmark" class="title">触控科技暂缓赴美IPO 接下来，陈昊芝要怎么办</a>
					<div>
						5月21日,触控科技创始人陈昊芝通过内部邮件表示,触控科技已暂缓赴美IPO计划. 缘何暂缓IPO? 陈昊芝认为资本市场给触控的估值太低了. 触控科技在美国当地时间4月18日首次向美国证券交易委员会(S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWKKenM.html" rel="bookmark" class="title">&lpar;C&num;&rpar;Windows Shell 编程系列2 - 解释，从&OpenCurlyDoubleQuote;桌面&rdquo;开始展开</a>
					<div>
						 原文   (C#)Windows Shell 编程系列2 - 解释,从&quot;桌面&quot;开始展开   (本系列文章由柠檬的(lc_mtt)原创,转载请注明出处,谢谢-) 接上一篇:(C#) ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
